---
title: <input type="reset">
slug: Web/HTML/Element/input/reset
tags:
  - Element
  - Form Button
  - Form input
  - Forms
  - HTML
  - HTML forms
  - Input
  - Input Types
  - Reference
  - Reset Button
  - reset
---
<div>{{HTMLRef("Input_types")}}</div>

<p><span class="seoSummary">{{HTMLElement("input")}} elements of type <strong><code>reset</code></strong> are rendered as buttons, with a default {{event("click")}} event handler that resets all of the inputs in the form to their initial values.</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/input-reset.html", "tabbed-standard")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div class="note">
<p>You should usually avoid including reset buttons in your forms. They're rarely useful, and are instead more likely to frustrate users who click them by mistake (often while trying to click the <a href="/en-US/docs/Web/HTML/Element/input/submit">submit button</a>).</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <td><strong>{{anch("Value")}}</strong></td>
   <td>A {{domxref("DOMString")}} used as the button's label</td>
  </tr>
  <tr>
   <td><strong>Events</strong></td>
   <td>{{domxref("Element/click_event", "click")}}</td>
  </tr>
  <tr>
   <td><strong>Supported common attributes</strong></td>
   <td>{{htmlattrxref("type", "input")}} and {{htmlattrxref("value", "input")}}</td>
  </tr>
  <tr>
   <td><strong>IDL attributes</strong></td>
   <td><code>value</code></td>
  </tr>
  <tr>
   <td><strong>Methods</strong></td>
   <td>None</td>
  </tr>
 </tbody>
</table>

<h2 id="Value">Value</h2>

<p>An <code>&lt;input type="reset"&gt;</code> element's {{htmlattrxref("value", "input")}} attribute contains a {{domxref("DOMString")}} that is used as the button's label. Buttons such as <code>reset</code> don't have a value otherwise.</p>

<div id="summary-example3">
<pre class="brush: html notranslate">&lt;input type="reset" value="Reset the form"&gt;</pre>
</div>

<p>{{EmbedLiveSample("summary-example3", 650, 30)}}</p>

<p>If you don't specify a <code>value</code>, you get an button with the default label (typically "Reset," but this will vary depending on the {{Glossary("user agent")}}):</p>

<div id="summary-example1">
<pre class="brush: html notranslate">&lt;input type="reset"&gt;</pre>
</div>

<p>{{EmbedLiveSample("summary-example1", 650, 30)}}</p>

<h2 id="Using_reset_buttons">Using reset buttons</h2>

<p><code>&lt;input type="reset"&gt;</code> buttons are used to reset forms. If you want to create a custom button and then customize the behaviour using JavaScript, you need to use <code><a href="/en-US/docs/Web/HTML/Element/input/button">&lt;input type="button"&gt;</a></code>, or better still, a {{htmlelement("button")}} element.</p>

<h3 id="A_simple_reset_button">A simple reset button</h3>

<p>We'll begin by creating a simple reset button:</p>

<pre class="brush: html notranslate">&lt;form&gt;
  &lt;div&gt;
    &lt;label for="example"&gt;Type in some sample text&lt;/label&gt;
    &lt;input id="example" type="text"&gt;
  &lt;/div&gt;
  &lt;div&gt;
    &lt;input type="reset" value="Reset the form"&gt;
  &lt;/div&gt;
&lt;/form&gt;
</pre>

<p>This renders like so:</p>

<p>{{EmbedLiveSample("A_simple_reset_button", 650, 100)}}</p>

<p>Try entering some text into the text field, and then pressing the reset button.</p>

<h3 id="Adding_a_reset_keyboard_shortcut">Adding a reset keyboard shortcut</h3>

<p>To add a keyboard shortcut to a reset button — just as you would with any {{HTMLElement("input")}} for which it makes sense — you use the {{htmlattrxref("accesskey")}} global attribute.</p>

<p>In this example, <kbd>r</kbd> is specified as the access key (you'll need to press <kbd>r</kbd> plus the particular modifier keys for your browser/OS combination; see {{htmlattrxref("accesskey")}} for a useful list of those).</p>

<pre class="brush: html notranslate">&lt;form&gt;
  &lt;div&gt;
    &lt;label for="example"&gt;Type in some sample text&lt;/label&gt;
    &lt;input id="example" type="text"&gt;
  &lt;/div&gt;
  &lt;div&gt;
    &lt;input type="reset" value="Reset the form"
     accesskey="r"&gt;
  &lt;/div&gt;
&lt;/form&gt;</pre>

<p>{{EmbedLiveSample("Adding_a_reset_keyboard_shortcut", 650, 100)}}</p>

<p>The problem with the above example is that there's no way for the user to know what the access key is! This is especially true since the modifiers are typically non-standard to avoid conflicts. When building a site, be sure to provide this information in a way that doesn't interfere with the site design (for example by providing an easily accessible link that points to information on what the site access keys are). Adding a tooltip to the button (using the {{htmlattrxref("title")}} attribute) can also help, although it's not a complete solution for accessibility purposes.</p>

<h3 id="Disabling_and_enabling_a_reset_button">Disabling and enabling a reset button</h3>

<p>To disable a reset button, specify the {{htmlattrxref("disabled")}} global attribute on it, like so:</p>

<div id="disable-example1">
<pre class="brush: html notranslate">&lt;input type="reset" value="Disabled" disabled&gt;</pre>
</div>

<p>You can enable and disable buttons at run time by setting <code>disabled</code> to <code>true</code> or <code>false</code>; in JavaScript this looks like <code>btn.disabled = true</code> or <code>btn.disabled = false</code>.</p>

<div class="note">
<p><strong>Note</strong>: See the <code><a href="/en-US/docs/Web/HTML/Element/input/button#Disabling_and_enabling_a_button">&lt;input type="button"&gt;</a></code> page for more ideas about enabling and disabling buttons.</p>
</div>

<h2 id="Validation">Validation</h2>

<p>Buttons don't participate in constraint validation; they have no real value to be constrained.</p>

<h2 id="Examples">Examples</h2>

<p>We've included simple examples above. There isn't really anything more to say about reset buttons. </p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'forms.html#reset-button-state-(type=reset)', '&lt;input type="reset"&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'forms.html#reset-button-state-(type=reset)', '&lt;input type="reset"&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.input.input-reset")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("input")}} and the {{domxref("HTMLInputElement")}} interface which implements it.</li>
 <li><a href="/en-US/docs/Learn/Forms/Basic_native_form_controls#Actual_buttons">Forms and buttons</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/forms">Forms (accessibility)</a></li>
 <li><a href="/en-US/docs/Learn/Forms">HTML forms</a></li>
 <li>The {{HTMLElement("button")}} element</li>
 <li><a href="/en-US/docs/Learn/Forms/Property_compatibility_table_for_form_controls">Compatibility of CSS properties</a></li>
</ul>
